package com.example.ellegadodepintia

import android.content.Intent
import android.graphics.Color
import android.os.Bundle
import android.widget.Button
import android.widget.ImageButton
import androidx.appcompat.app.AppCompatActivity

class MapActivity : AppCompatActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_map)

        val mapButton: ImageButton= findViewById(R.id.mapButton)
        val leaderboardButton: ImageButton = findViewById(R.id.leaderboardButton)
        val shopButton: ImageButton = findViewById(R.id.shopButton)


        mapButton.setBackgroundResource(R.drawable.edittext_border)
        leaderboardButton.setBackgroundColor(Color.TRANSPARENT)
        shopButton.setBackgroundColor(Color.TRANSPARENT)

        val minijuego1Button = findViewById<Button>(R.id.minijuego1)
        minijuego1Button.setOnClickListener {
            val intent = Intent(this, Minijuego1::class.java)
            startActivity(intent)
        }

        val minijuego2Button = findViewById<Button>(R.id.minijuego2)
        minijuego2Button.setOnClickListener {
            val intent = Intent(this, Minijuego2::class.java)
            startActivity(intent)
        }

        val minijuego3Button = findViewById<Button>(R.id.minijuego3)
        minijuego3Button.setOnClickListener {
            val intent = Intent(this, Minijuego3::class.java)
            startActivity(intent)
        }

        val minijuego4Button = findViewById<Button>(R.id.minijuego4)
        minijuego4Button.setOnClickListener {
            val intent = Intent(this, Minijuego4::class.java)
            startActivity(intent)
        }
    }
}
